Package oracle.jdbc.datasource.impl

## Class OraclePooledConnectionBuilderImpl

- java.lang.Object
- - oracle.jdbc.internal.AbstractConnectionBuilder<OraclePooledConnectionBuilderImpl,​OraclePooledConnection>
  - - oracle.jdbc.datasource.impl.OraclePooledConnectionBuilderImpl

All Implemented Interfaces:
  `PooledConnectionBuilder`, `OraclePooledConnectionBuilder`

    public abstract class OraclePooledConnectionBuilderImpl
    extends oracle.jdbc.internal.AbstractConnectionBuilder<OraclePooledConnectionBuilderImpl,​OraclePooledConnection>
    implements OraclePooledConnectionBuilder

Oracle Implementation class for Connection Builder

### Constructor Summary

Constructors
`OraclePooledConnectionBuilderImpl()`

### Method Summary

### Methods inherited from class oracle.jdbc.internal.AbstractConnectionBuilder

`build, copy, ensureMutableState, executorOracle, getAllowSingleShardTransaction, getExecutor, getGSSCredential, getInstanceName, getPassword, getReadOnlyInstanceAllowed, getServiceName, getShardingKey, getSSLContext, getSuperShardingKey, getUser, gssCredential, instanceName, password, password, readOnlyInstanceAllowed, serviceName, setImmutable, shardingKey, shardingKey, singleShardTransactionSupport, sslContext, superShardingKey, superShardingKey, user`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface oracle.jdbc.OraclePooledConnectionBuilder

`build, gssCredential, password, readOnlyInstanceAllowed, shardingKey, shardingKey, sslContext, superShardingKey, superShardingKey, user`

### Constructor Detail

#### OraclePooledConnectionBuilderImpl

    public OraclePooledConnectionBuilderImpl()